name: Example Labels and Annotations
services:
  TextBox:
    name: TextBox
    type: TextBox
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: e039162b-e217-444b-b0e0-8f0481ce2b42
        label: TextBox
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"text":true, "config":false,"lock":true,"shape":{"convert-shape":true},"style":true},"label":{"edit":true,"show":true,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0
            border-color: '#808080'
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 20px
            width: 40px
            z-index: 14
          styles: '{"height":"20px","width":"40px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0,"border-color":"#808080"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/connection-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubeform-provider-aws/white/acl-white.svg
        position:
          posX: 450
          posY: 330
        whiteboardData: {}
  comment-gd:
    name: comment-gd
    type: Comment
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    settings:
      lastUpdated: "2024-05-14T21:34:32.448Z"
      status: false
      user Messages: []
      usersMessages:
      - avatarUrl: https://pbs.twimg.com/profile_images/880205475643441152/V_vhfnzb_400x400.jpg
        firstName: Lee
        lastName: Calcote
        message: '@[Yash Sharm](551dcb82-7643-4709-8500-9a60e60030b9) this is my first
          comment.'
        timestamp: "2024-05-14T21:34:14.378Z"
        userid: 090e7114-509a-4046-81f1-9c5fb8daf724
      - avatarUrl: https://pbs.twimg.com/profile_images/880205475643441152/V_vhfnzb_400x400.jpg
        firstName: Lee
        lastName: Calcote
        message: '@[Akshay Sharma](51f49d2c-0050-4bdb-9bce-fdddcb4742be) this is my
          second comment.'
        timestamp: "2024-05-14T21:34:23.110Z"
        userid: 090e7114-509a-4046-81f1-9c5fb8daf724
      - avatarUrl: https://pbs.twimg.com/profile_images/880205475643441152/V_vhfnzb_400x400.jpg
        firstName: Lee
        lastName: Calcote
        message: '@[Aabid Sofi](969bfd5e-28fb-4c20-a020-ee9db65da812) this is my third
          comment.'
        timestamp: "2024-05-14T21:34:32.448Z"
        userid: 090e7114-509a-4046-81f1-9c5fb8daf724
    traits:
      meshmap:
        edges: []
        id: d79a4ffa-a93c-49c2-b427-1458034c7009
        label: Comment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":true}}}'
          defaultData: ""
          genealogy: ""
          isAnnotation: true
          primaryColor: '#FFDE00'
          secondaryColor: '#FFDE00'
          shape: tag
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 22px
            width: 22px
            x: 1.5px
            "y": 7.5px
            z-index: 15
          styles: '{"height":"22px","width":"22px","x":"1.5px","y":"7.5px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
        position:
          posX: 470
          posY: 370
        whiteboardData: {}
  elasticsearch-oq:
    name: elasticsearch-oq
    type: Elasticsearch
    apiVersion: elasticsearch.k8s.elastic.co/v1
    namespace: default
    version: 1.0.3
    model: elasticsearch-operator
    labels:
      position: underdog
    settings:
      spec:
        http:
          service:
            spec:
              external IPs: []
              load Balancer Source Ranges: []
              ports: []
          tls:
            self Signed Certificate:
              subject Alt Names: []
        node Sets: []
        pod Disruption Budget:
          spec:
            selector:
              match Expressions: []
        secure Settings: []
    traits:
      meshmap:
        edges: []
        id: 19d05ae6-faac-4895-a0c9-c83491dabb61
        label: elasticsearch-oq
        meshmodel-data:
          category:
            metadata: null
            name: Observability and Analysis
          components: null
          description: ""
          displayName: elasticsearch-operator
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: f167859d-d845-5d61-bdf0-e38d8269687d
          metadata:
            isAnnotation: false
            source_uri: https://openinfradev.github.io/helm-repo/elasticsearch-operator-1.0.3.tgz
            svgColor: ui/public/static/img/meshmodels/elasticsearch-operator/color/elasticsearch-operator-color.svg
            svgWhite: ui/public/static/img/meshmodels/elasticsearch-operator/white/elasticsearch-operator-white.svg
          model:
            version: 1.0.3
          name: elasticsearch-operator
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: ""
          model: elasticsearch-operator
          modelDisplayName: elasticsearch-operator
          primaryColor: '#FEC514'
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 13
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/elasticsearch-operator/color/apmserver-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/elasticsearch-operator/white/apmserver-white.svg
        position:
          posX: 570
          posY: 430
        whiteboardData: {}
  thanos-peer-ul:
    name: thanos-peer-ul
    type: ThanosPeer
    apiVersion: monitoring.banzaicloud.io/v1alpha1
    namespace: default
    version: 0.3.7
    model: thanos-operator
    annotations:
      rank: first
    settings:
      spec:
        query Overrides:
          GRPC Ingress:
            ingress Overrides:
              spec:
                rules: []
                tls: []
          HTTP Ingress:
            ingress Overrides:
              spec:
                rules: []
                tls: []
          deployment Overrides:
            spec:
              selector:
                match Expressions: []
              template:
                spec:
                  affinity:
                    node Affinity:
                      preferred During Scheduling Ignored During Execution: []
                      required During Scheduling Ignored During Execution:
                        node Selector Terms: []
                    pod Affinity:
                      preferred During Scheduling Ignored During Execution: []
                      required During Scheduling Ignored During Execution: []
                    pod Anti Affinity:
                      preferred During Scheduling Ignored During Execution: []
                      required During Scheduling Ignored During Execution: []
                  containers: []
                  dns Config:
                    nameservers: []
                    options: []
                    searches: []
                  ephemeral Containers: []
                  host Aliases: []
                  image Pull Secrets: []
                  init Containers: []
                  readiness Gates: []
                  security Context:
                    supplemental Groups: []
                    sysctls: []
                  tolerations: []
                  topology Spread Constraints: []
                  volumes: []
          query Replica Label: []
          service Overrides:
            spec:
              cluster IPs: []
              external IPs: []
              ip Families: []
              load Balancer Source Ranges: []
              ports: []
          stores: []
        replica Labels: []
    traits:
      meshmap:
        edges: []
        id: 029e462d-edf8-44cd-b31a-fe34320a4a1b
        label: thanos-peer-ul
        meshmodel-data:
          category:
            metadata: null
            name: Observability and Analysis
          components: null
          description: ""
          displayName: Thanos Operator
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3a5d6a26-e546-5016-9f2b-dd61ec1410e5
          metadata:
            isAnnotation: false
            subCategory: Monitoring
            svgColor: ui/public/static/img/meshmodels/thanos-operator/color/thanos-operator-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/thanos-operator/white/thanos-operator-white.svg
          model:
            version: 0.3.7
          name: thanos-operator
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: Monitoring
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isNamespaced: true
          primaryColor: '#6d41ff'
          secondaryColor: '#B286FF'
          shape: circle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 12
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/thanos-operator/color/objectstore-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/thanos-operator/white/objectstore-white.svg
        position:
          posX: 510
          posY: 350
        whiteboardData: {}
  workflow-jc:
    name: workflow-jc
    type: Workflow
    apiVersion: chaos-mesh.org/v1alpha1
    namespace: default
    version: 2.5.1
    model: chaos-mesh
    labels:
      position: underdog
    annotations:
      rank: first
    settings:
      spec:
        templates: []
    traits:
      meshmap:
        edges: []
        id: c63c4145-9823-4de3-bb1b-b90f292fcc70
        label: workflow-jc
        meshmodel-data:
          category:
            metadata: null
            name: Observability and Analysis
          components: null
          description: ""
          displayName: Chaos Mesh
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 1c868a30-23f1-59be-aa0a-57d96a59c1a8
          metadata:
            isAnnotation: false
            source_uri: https://charts.chaos-mesh.org/chaos-mesh-2.6.2.tgz
            svgColor: ui/public/static/img/meshmodels/chaos-mesh/color/chaos-mesh-color.svg
            svgWhite: ui/public/static/img/meshmodels/chaos-mesh/white/chaos-mesh-white.svg
          model:
            version: 2.5.1
          name: chaos-mesh
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/examples/sandbox.md#chaos-mesh-logoss
          model: chaos-mesh
          modelDisplayName: Chaos Mesh
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 11
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/chaos-mesh/color/awschaos-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/chaos-mesh/white/awschaos-white.svg
        position:
          posX: 470
          posY: 430
        whiteboardData: {}
